Bug 830988 - Stacking is showing an odd parent product in the My Subscriptions Tab
Stacking is showing an odd parent product in the My Subscriptions Tab
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 5.10
Assigned To: candlepin-bugs
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510 rhsm-2013
  Show dependency treegraph
 
Reported: 2012-06-11 16:35 EDT by Bryan Kearney
Modified: 2013-10-01 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:47:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Note the parent product (76.55 KB, image/png)
2012-06-11 16:35 EDT, Bryan Kearney
no flags Details
Stackable Subscription GUI test for Root name (186.83 KB, image/png)
2013-03-14 12:38 EDT, Sharath Dwaral
no flags Details

  None (edit)
Description Bryan Kearney 2012-06-11 16:35:30 EDT
Created attachment 591024 [details]
Note the parent product

1. Register to Stage.
2. Consume a stackable subscription
3. Note that the root name in subscription tab. It is picking an product which is not installed.
Comment 2 RHEL Product and Program Management 2012-06-11 16:58:34 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 James Bowes 2012-09-24 09:20:09 EDT
Reassigning to Will; he has a fix committed for this
Comment 4 William Poteat 2012-10-03 09:47:01 EDT
Master commit 232d803a731593dd7cf0eb18e1bd13cabfa51294
Comment 8 Bryan Kearney 2013-02-08 12:23:07 EST
Available in the 1.8.2 version of susbcription-manager and python-rhsm.
Comment 10 Sharath Dwaral 2013-03-14 12:38:25 EDT
Created attachment 710117 [details]
Stackable Subscription GUI test for Root name

# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-firstboot-1.8.4-1.el7.x86_64
python-rhsm-1.8.7-1.el7.x86_64
subscription-manager-1.8.4-1.el7.x86_64
subscription-manager-debuginfo-1.8.4-1.el7.x86_64
subscription-manager-gui-1.8.4-1.el7.x86_64
subscription-manager-migration-1.8.4-1.el7.x86_64

The root name does not pick up product name of uninstall stackable subscription.

Verified

Note You need to log in before you can comment on or make changes to this bug.